DOOMSDAY-SERVER(6)

NAME
doomsday-server - Doomsday Engine multiplayer daemon

SYNOPSIS
doomsday-server [-stdout] [-port tcp-port] [-iwad dir] [-game mode] [-v] [-file file ...]

Note that the command line is not interpreted according to GNU conventions. Everything following -- is ignored. @ can be used to specify a response file whose contents are added to the command line.

OPTIONS

-file | -f
    Specify one or more resource files (WAD, LMP, PK3) to load at startup. More files can be loaded at runtime with the load command.

-game | -g
    Sets the game to load after startup. See doomsday(6) for a list of available games. For example:

    -game doom1-ultimate

    If -game is not specified and the server is unable to choose a game automatically, the server will quit.

-iwad
    Specifies a directory where to look for IWAD files. Doomsday will search for IWADs from all known games and automatically load them when needed. Note that you can also use the DOOMWADDIR environment variable or the paths configuration file to specify the location of the IWAD files.

-port
    TCP port that the server listens to for incoming connections.

-stdout
    Prints all log entries to the standard output. If this option is not used, nothing is printed so that the server can be run as a background process.

-verbose | -v
    Print verbose log messages. Specify more than once for extra verbosity.

In addition to these, doomsday-server supports many of the command line options of doomsday(6).

OPERATING A SERVER
Doomsday servers are, by default, silent daemon processes intended to be run in the background. You need to use the Doomsday Shell to monitor their status and control them.

  Firewall and NAT

Doomsday uses TCP network connections for multiplayer games. If you host a game and are behind a firewall or using NAT, you must make sure that other computers are able to open TCP connections to your computer. This entails opening the appropriate incoming TCP ports on your firewall and/or configuring the NAT so that the correct ports are routed to your computer.

Additionally, UDP ports 13209-13224 are used for detecting servers running on the local network; if you are experiencing problems with autodetecting local servers, check that your firewall isn't blocking these UDP ports on either end.

A server opens one TCP port for listening to incoming connections. The port must be open for incoming TCP traffic in the firewall. The port number is configured with the console variable net-ip-port. By default, a server uses TCP port 13209.

You can see status information about the network subsystem with the console command:

net info

SEE ALSO
doomsday(6), doomsday-shell-text(6)

AUTHOR
This documentation has been written by Jaakko Keränen <jaakko.keranen@iki.fi>.